## Function current_scope

boost::log::current_scope

## Synopsis

    // In header: <boost/log/support/exception.hpp>

    current_scope_info current_scope();

## Description

The function returns an error information object that contains current stack of scopes. This information can then be attached to an exception and extracted at the catch site. The extracted scope list won't be affected by any scope changes that may happen during the exception propagation.

| Note
See the `named_scope` attribute documentation on how to maintain scope list.